Skip to content

List SCIM schemas

Request

Returns a list of the schemas in use by this SCIM API. Implements SCIM 2.0 Specification.

Security
oauth2_as_a_server(Required scopes: users.read) or oauth2_as_a_user(Required scopes: users.read)
curl -i -X GET \
  https://partner.socialchorus.com/scim/v2/Schemas \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/scim+json
schemasArray of strings
Example:
[ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ]
totalResultsinteger
Example:5
itemsPerPageinteger
Example:10
startIndexinteger
Example:1
ResourcesArray of objects
Example:
[ { "id": "urn:ietf:params:scim:schemas:core:2.0:User", "name": "SCIMCoreUser", "description": "SCIM Core User", "attributes": [] }, { "id": "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User", "name": "EnterpriseUser", "description": "Enterprise User", "attributes": [] }, { "id": "urn:SocialChorus:1.0:User", "name": "SocialChorusUserExtension", "description": "Social Chorus User Extension", "attributes": [] } ]
Response
{ "schemas": [ "urn:ietf:params:scim:api:messages:2.0:ListResponse" ], "totalResults": 5, "itemsPerPage": 10, "startIndex": 1, "Resources": [ {}, {}, {} ] }